local L = LibStub("AceLocale-3.0"):NewLocale("ReAction","enUS",true)
if not L then return end

for _, s in pairs({

-- ReAction.lua
"ReAction: name '%s' already in use",
"ReAction config mode disabled during combat.",

-- Options.lua
"ReAction",
"Customizable replacement for Blizzard's Action Bars",
"Unlock Bars",
"Unlock bars for dragging and resizing with the mouse",
"Hide Blizzard Action Bars",
"Hide the default main bar and extra action bars",
"Hide Blizzard Vehicle Bar",
"Hide the default vechicle action bar",
"Edit Bars...",
"Show the ReAction Bar Editor dialogue",
"Close on Launch",
"Close the Interface Options window when launching the ReAction Bar Editor",
"Key Bindings",
"Show the keybinding dialogue",
"Skip profile keybind warning",
"Don't show a warning about updating keybinds when switching profiles",
"Usage:",
"ReAction profile changed: check your keybinds, they may need to be updated.",
"OK",
"ReAction: can't configure in combat",
"Click",
"Right-click",
"Shift-click",
"Alt-click",
"for options",
"for bar editor dialog",
"to unlock bars",
"for keybind mode",

-- Editor.lua
"Center",
"Left",
"Right",
"Top",
"Bottom",
"Top Left",  
"Top Right",
"Bottom Left",
"Bottom Right",
"Bar Editor",
"Select Bar",
"Use the mouse to arrange and resize the bars on screen. Tooltips on bars indicate additional functionality.",
"Global Config",
"Opens ReAction global configuration settings panel",
"Close Editor",
"Close the Bar Editor when opening the ReAction global Interface Options",
"New Bar...",
"Choose a name, type, and initial grid for your new action bar:",
"Bar Name",
"Enter a name for your new action bar",
"Button Type",
"Button Grid",
"Rows",
"Columns",
"Size",
"Spacing",
"Create Bar",
"General",
"Rename Bar",
"Delete Bar",
"Anchor",
"Frame",
"The frame that the bar is anchored to",
"Point",
"Anchor point on the bar frame",
"Relative Point",
"Anchor point on the target frame",
"X offset",
"Y offset",
"Transparency",
"Action Bars",
"Hide Empty Buttons",
"Lock Buttons",
"Prevents picking up/dragging actions (use SHIFT to override this behavior)",
"Only in Combat",
"Only lock the buttons when in combat",
"# Pages",
"Use the Dynamic State tab to specify page transitions",
"Edit Action IDs",
"Assign",
"Choose Method...",
"Individually",
"All at Once",
"Row",
"Rows are numbered top to bottom",
"Col",
"Columns are numbered left to right",
"Page",
"Action ID",
"Specify ID 1-120",
"ID List",
"Specify a comma-separated list of IDs for each button in the bar (in order). Separate multiple pages with semicolons (;)",
"Invalid action ID list string",
"Mind Control Support",
"When possessing a target (e.g. via Mind Control), map the first 12 buttons of this bar to the possessed target's actions.",
"Vehicle Support",
"When on a vehicle, map the first 6 buttons of this bar to the vehicle actions. The vehicle-exit button is mapped to the 7th button. Pitch controls are not supported.",
"Show Page #",
"Action Buttons",
"State named '%s' already exists",
"Battle Stance",
"Defensive Stance",
"Berserker Stance",
"Caster Form",
"Bear Form",
"Cat Form",
"Tree of Life",
"Moonkin Form",
"Stealth",
"No Stealth",
"Shadow Dance",
"Shadowform",
"No Shadowform",
"Demon Form",
"No Demon Form",
"With Pet",
"Without Pet",
"Hostile Target",
"Friendly Target",
"No Target",
"Hostile Focus",
"Friendly Focus",
"No Focus",
"Mind Control",
"In a Vehicle",
"Raid",
"Party",
"Solo",
"In Combat",
"Out of Combat",
"Warning: one or more incompatible rules were turned off",
"Info",
"Delete this State",
"Name",
"Evaluation Order",
"State transitions are evaluated in the order listed: Move a state up or down to change the order",
"Up",
"Down",
"Properties",
"Set the properties for the bar when in this state",
"Hide Bar",
"(none)",
"Override Keybinds",
"Set this state to maintain its own set of keybinds which override the defaults when active",
"Position",
"Reposition",
"Anchor Frame",
"Point",
"Relative Point",
"X Offset",
"Y Offset",
"Scale",
"Set New Scale",
"Transparency",
"Set Transparency",
"Rule",
"Select this state",
"by default",
"when ANY of these",
"when ALL of these",
"via custom rule",
"via keybinding",
"Clear All",
"Conditions",
"Custom Rule",
"Syntax like macro rules: see preset rules for examples",
"Invalid custom rule '%s': each clause must appear within [brackets]",
"Keybinding",
"Invoking a state keybind toggles an override of all other transition rules.",
"State Hotkey",
"Define an override toggle keybind",
"Dynamic State",
"States are evaluated in the order they are listed",
"New State...",
"State Name",
"Set a name for the new state",
"State names must be alphanumeric without spaces",
"Create State",
"State named '%s' already exists",
"Pet Buttons",
"Stance Buttons",
"Show Aspects",
"Show Hunter aspects as stances",
"Auto-hide Monkey/Hawk",
"Hide Aspect of the Monkey and Aspect of the Hawk, only when the hunter knows Aspect of the Dragonhawk",
"Hide Presences",
"Do not show Death Knight Presences as stances",
"Hide Auras",
"Do not show Paladin Auras as stances",
"Exit Vehicle",
"Show only when passenger",
"Only show the button when riding as a passenger in a vehicle (no vehicle controls)",

-- ActionButton.lua
"Action Bar",
"Action ID range is 1-120",

-- BagButton.lua --
"Bag Bar",

-- Bar.lua
"Hidden",

-- Button.lua --
"Button Bar",

-- Overlay.lua
"Hold Shift",
"Hold Alt",
"Right-click",
"Drag",
"to add/remove buttons:",
"to resize buttons:",
"to change spacing:",
"to change scale:",
"to move",
"to anchor to nearby frames",
"for options...",
"Currently anchored to",
"State",
"State Scale Override",

-- MultiCastButton.lua
"Totem Bar",

-- PetActionButton.lua
"Pet Action Bar",
"Pet action ID range is 1-10",

-- StanceButton.lua
"Stance Bar",

-- VehicleExitButton.lua
"Exit Vehicle Floater",

}) do
  L[s] = true
end
